OTFPROFILE(1)

NAME
otfprofile - Generate a profile of an OTF trace

DESCRIPTION

    otfprofile - Generate a profile of an OTF trace in LaTeX format.

    Syntax: otfprofile -i <input file name> [options]

    options:

-h, --help
    show this help message

-V  show OTF version

-v  increase output verbosity (can be used more than once)

-i <file>
    specify the input trace name

-p  show progress

-f <n>
    max. number of filehandles available per rank (default: 50)

-b <size>
    set buffersize of the reader (default: 1048576)

-o <prefix>
    specify the prefix of output file(s) (default: result)

-g <n>
    max. number of process groups in LaTeX output (range: 1-16, default: 16)

-c, --cluster do additional clustering of processes/threads

--cluster-alg <alg>
    set comparison algorithm for clustering to "KMEANS" or "CLINKAGE" (default: KMEANS)

-s <prefix>
    call otfshrink to apply the cluster mapping to input trace and produce a new trace named <prefix> with symbolic links to the original (implies -c)

-H  use hard groups for CLINKAGE clustering (implies --cluster-alg CLINKAGE)

-q <0-1>
    quality threshold for CLINKAGE clustering (implies --cluster-alg CLINKAGE, default: 0.1)

-d, --disp <options>
    do additional analysis of irregularities using various output options to be specified in a comma-separated list possible values are:

filter
    create VampirTrace filter rules from analysis information,

info
    add information of irregularities to PDF output,

marker
    add marker information to trace file

    (implies --tex, default: info)

--disp-mode <mode>
    set profiling level within the analysis to "per-function" or "per-call-path" (default: per-function)

--disp-reduction <percentage>
    set percentage of call-paths to be filtered. (default: 15)

--disp-filter <file>
    name of the previous filter file that will be added to the new filter file

-M, --csv-msg-matrix
    write communication matrix in CSV file (implies --csv)

-S, --csv-msg-size
    write message length statistics in CSV file (implies --csv)

--stat
    read only summarized information, no events

--[no]csv
    enable/disable producing CSV output (default: disabled)

--[no]tex
    enable/disable producing LaTeX output (default: enabled)

    PDF creation requires the PGFPLOTS package version >1.4 http://sourceforge.net/projects/pgfplots/